Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing.correlation
Class ResequenceCorrelatorCallback

    java.lang.Object
      org.mule.routing.correlation.CollectionCorrelatorCallback
          org.mule.routing.correlation.ResequenceCorrelatorCallback

All Implemented Interfaces:
  EventCorrelatorCallback

    public class ResequenceCorrelatorCallback

extends CollectionCorrelatorCallback

A Correlator that correlates messages based on Mule correlation settings Note that the `aggregateEvents(org.mule.routing.EventGroup)` method only resequences the events and returns an MuleEvent[] wrapped in a MuleMessage impl. This means that this callback can ONLY be used with a `org.mule.routing.inbound.CorrelationEventResequencer`

Field Summary
`protected Comparator<MuleEvent>` | `eventComparator`

Fields inherited from class org.mule.routing.correlation.CollectionCorrelatorCallback
`logger, muleContext`

Constructor Summary
`ResequenceCorrelatorCallback(Comparator<MuleEvent> eventComparator, MuleContext muleContext)`

Method Summary
`MuleEvent` | `aggregateEvents(EventGroup events)` This method is invoked if the shouldAggregate method is called and returns true.

Methods inherited from class org.mule.routing.correlation.CollectionCorrelatorCallback
`createEventGroup, shouldAggregateEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eventComparator

    protected Comparator<MuleEvent> eventComparator

Constructor Detail

### ResequenceCorrelatorCallback

    public ResequenceCorrelatorCallback(Comparator<MuleEvent> eventComparator,
                                        MuleContext muleContext)

Method Detail

### aggregateEvents

    public MuleEvent aggregateEvents(EventGroup events)
                              throws AggregationException

  This method is invoked if the shouldAggregate method is called and returns true. Once this method returns an aggregated message, the event group is removed from the router.

  Specified by:
    `aggregateEvents` in interface `EventCorrelatorCallback`
  Overrides:
    `aggregateEvents` in class `CollectionCorrelatorCallback`
  Parameters:
    `events` - the event group for this request
  Returns:
    an aggregated message
  Throws:
    `AggregationException` - if the aggregation fails. in this scenario the whole event group is removed and passed to the exception handler for this componenet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.